Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_PolicyList_var Class Reference

`#include <PolicyC.h>`

Collaboration diagram for CORBA_PolicyList_var:

[legend]
List of all members.

## Public Methods
| CORBA_PolicyList_var (void)
| CORBA_PolicyList_var (CORBA_PolicyList *)
| CORBA_PolicyList_var (const CORBA_PolicyList_var &)
| ~CORBA_PolicyList_var (void)
CORBA_PolicyList_var& | operator= (CORBA_PolicyList *)
CORBA_PolicyList_var& | operator= (const CORBA_PolicyList_var &)
CORBA_PolicyList* | operator-> (void)
const CORBA_PolicyList* | operator-> (void) const
| operator const CORBA_PolicyList & () const
| operator CORBA_PolicyList & ()
| operator CORBA_PolicyList & () const
| operator CORBA_PolicyList *& ()
TAO_Object_Manager<CORBA_Policy, CORBA_Policy_var> | operator[] (CORBA::ULong index)
const CORBA_PolicyList& | in (void) const
CORBA_PolicyList& | inout (void)
CORBA_PolicyList*& | out (void)
CORBA_PolicyList* | _retn (void)
CORBA_PolicyList* | ptr (void) const
## Private Attributes
CORBA_PolicyList* | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_PolicyList_var::CORBA_PolicyList_var ( | void )

ACE_INLINE CORBA_PolicyList_var::CORBA_PolicyList_var ( | CORBA_PolicyList * p )

CORBA_PolicyList_var::CORBA_PolicyList_var ( | const CORBA_PolicyList_var & )

ACE_INLINE CORBA_PolicyList_var::~CORBA_PolicyList_var ( | void )

## Member Function Documentation

ACE_INLINE::CORBA_PolicyList * CORBA_PolicyList_var::_retn ( | void )

ACE_INLINE const::CORBA_PolicyList & CORBA_PolicyList_var::in ( | void ) const

ACE_INLINE::CORBA_PolicyList & CORBA_PolicyList_var::inout ( | void )

CORBA_PolicyList_var::operator CORBA_PolicyList & ( | ) const

CORBA_PolicyList_var::operator CORBA_PolicyList & ( | )

CORBA_PolicyList_var::operator CORBA_PolicyList *& ( | )

CORBA_PolicyList_var::operator const CORBA_PolicyList & ( | ) const

ACE_INLINE const::CORBA_PolicyList * CORBA_PolicyList_var::operator-> ( | void ) const

ACE_INLINE::CORBA_PolicyList * CORBA_PolicyList_var::operator-> ( | void )

CORBA_PolicyList_var& CORBA_PolicyList_var::operator= ( | const CORBA_PolicyList_var & )

ACE_INLINE CORBA_PolicyList_var & CORBA_PolicyList_var::operator= ( | CORBA_PolicyList * p )

ACE_INLINE TAO_Object_Manager< CORBA::Policy,CORBA::Policy_var > CORBA_PolicyList_var::operator[] ( | CORBA::ULong index )

ACE_INLINE::CORBA_PolicyList *& CORBA_PolicyList_var::out ( | void )

ACE_INLINE::CORBA_PolicyList * CORBA_PolicyList_var::ptr ( | void ) const

## Member Data Documentation

CORBA_PolicyList * CORBA_PolicyList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.i